io.agora.rtc

## Class LocalAudioTrackStats

- java.lang.Object
- - io.agora.rtc.LocalAudioTrackStats

-     public class LocalAudioTrackStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bufferedPcmDataListSize`
    `private int` | `droppedAudioFrames`
    `private int` | `enabled`
    `private int` | `missedAudioFrames`
    `private int` | `pushedAudioFrames`
    `private int` | `sentAudioFrames`
    `private int` | `sourceId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAudioTrackStats()`
    `LocalAudioTrackStats(int sourceId, int bufferedPcmDataListSize, int missedAudioFrames, int sentAudioFrames, int pushedAudioFrames, int droppedAudioFrames, int enabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferedPcmDataListSize()`
    `int` | `getDroppedAudioFrames()`
    `int` | `getEnabled()`
    `int` | `getMissedAudioFrames()`
    `int` | `getPushedAudioFrames()`
    `int` | `getSentAudioFrames()`
    `int` | `getSourceId()`
    `void` | `setBufferedPcmDataListSize(int bufferedPcmDataListSize)`
    `void` | `setDroppedAudioFrames(int droppedAudioFrames)`
    `void` | `setEnabled(int enabled)`
    `void` | `setMissedAudioFrames(int missedAudioFrames)`
    `void` | `setPushedAudioFrames(int pushedAudioFrames)`
    `void` | `setSentAudioFrames(int sentAudioFrames)`
    `void` | `setSourceId(int sourceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceId

          private int sourceId

    - #### bufferedPcmDataListSize

          private int bufferedPcmDataListSize

    - #### missedAudioFrames

          private int missedAudioFrames

    - #### sentAudioFrames

          private int sentAudioFrames

    - #### pushedAudioFrames

          private int pushedAudioFrames

    - #### droppedAudioFrames

          private int droppedAudioFrames

    - #### enabled

          private int enabled

  - ### Constructor Detail

    - #### LocalAudioTrackStats

          public LocalAudioTrackStats()

    - #### LocalAudioTrackStats

          public LocalAudioTrackStats(int sourceId,
                                      int bufferedPcmDataListSize,
                                      int missedAudioFrames,
                                      int sentAudioFrames,
                                      int pushedAudioFrames,
                                      int droppedAudioFrames,
                                      int enabled)

  - ### Method Detail

    - #### getSourceId

          public int getSourceId()

    - #### setSourceId

          public void setSourceId(int sourceId)

    - #### getBufferedPcmDataListSize

          public int getBufferedPcmDataListSize()

    - #### setBufferedPcmDataListSize

          public void setBufferedPcmDataListSize(int bufferedPcmDataListSize)

    - #### getMissedAudioFrames

          public int getMissedAudioFrames()

    - #### setMissedAudioFrames

          public void setMissedAudioFrames(int missedAudioFrames)

    - #### getSentAudioFrames

          public int getSentAudioFrames()

    - #### setSentAudioFrames

          public void setSentAudioFrames(int sentAudioFrames)

    - #### getPushedAudioFrames

          public int getPushedAudioFrames()

    - #### setPushedAudioFrames

          public void setPushedAudioFrames(int pushedAudioFrames)

    - #### getDroppedAudioFrames

          public int getDroppedAudioFrames()

    - #### setDroppedAudioFrames

          public void setDroppedAudioFrames(int droppedAudioFrames)

    - #### getEnabled

          public int getEnabled()

    - #### setEnabled

          public void setEnabled(int enabled)